import java.util.*;
import java.io.*;

public class jeroen_2019 {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		System.out.println(6 * Math.sqrt(sc.nextLong() / (6*Math.sqrt(3)/4)));
	}
}
